<definitions name="PricingServiceWSService" targetNamespace="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
 <types>
  <xs:schema targetNamespace="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" version="1.0" xmlns:tns="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:element name="BillingException" type="tns:BillingException"/>
   <xs:element name="findOfferingById" type="tns:findOfferingById"/>
   <xs:element name="findOfferingByIdResponse" type="tns:findOfferingByIdResponse"/>
   <xs:element name="queryOfferings" type="tns:queryOfferings"/>
   <xs:element name="queryOfferingsResponse" type="tns:queryOfferingsResponse"/>
   <xs:complexType name="queryOfferings">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="xs:string"/>
     <xs:element minOccurs="0" name="arg1" type="tns:service"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="service">
    <xs:sequence>
     <xs:element minOccurs="0" name="additionalParameters">
      <xs:complexType>
       <xs:sequence>
        <xs:element maxOccurs="unbounded" minOccurs="0" name="entry">
         <xs:complexType>
          <xs:sequence>
           <xs:element minOccurs="0" name="key" type="xs:anyType"/>
           <xs:element minOccurs="0" name="value" type="xs:anyType"/>
          </xs:sequence>
         </xs:complexType>
        </xs:element>
       </xs:sequence>
      </xs:complexType>
     </xs:element>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
     <xs:element minOccurs="0" name="resource" type="tns:resource"/>
     <xs:element minOccurs="0" name="serviceSpecification" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="validFor" type="tns:timeFrame"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="resource">
    <xs:sequence>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="serviceSpecification">
    <xs:sequence>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
     <xs:element name="status" type="xs:int"/>
     <xs:element minOccurs="0" name="type" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="timeFrame">
    <xs:sequence>
     <xs:element minOccurs="0" name="endTime" type="xs:dateTime"/>
     <xs:element minOccurs="0" name="startTime" type="xs:dateTime"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="queryOfferingsResponse">
    <xs:sequence>
     <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:serviceOffering"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="serviceOffering">
    <xs:complexContent>
     <xs:extension base="tns:interaction">
      <xs:sequence>
       <xs:element minOccurs="0" name="price" type="tns:price"/>
       <xs:element minOccurs="0" name="service" type="tns:service"/>
      </xs:sequence>
     </xs:extension>
    </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="interaction">
    <xs:sequence>
     <xs:element minOccurs="0" name="accountNumber" type="xs:string"/>
     <xs:element minOccurs="0" name="date" type="xs:dateTime"/>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="price">
    <xs:complexContent>
     <xs:extension base="tns:interaction">
      <xs:sequence>
       <xs:element minOccurs="0" name="currency" type="xs:string"/>
       <xs:element minOccurs="0" name="value" type="xs:decimal"/>
      </xs:sequence>
     </xs:extension>
    </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="BillingException">
    <xs:sequence>
     <xs:element minOccurs="0" name="message" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOfferingById">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="xs:long"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOfferingByIdResponse">
    <xs:sequence>
     <xs:element minOccurs="0" name="return" type="tns:serviceOffering"/>
    </xs:sequence>
   </xs:complexType>
  </xs:schema>
 </types>
 <message name="PricingServiceWS_findOfferingById">
  <part element="tns:findOfferingById" name="findOfferingById"/>
 </message>
 <message name="PricingServiceWS_queryOfferings">
  <part element="tns:queryOfferings" name="queryOfferings"/>
 </message>
 <message name="BillingException">
  <part element="tns:BillingException" name="BillingException"/>
 </message>
 <message name="PricingServiceWS_findOfferingByIdResponse">
  <part element="tns:findOfferingByIdResponse" name="findOfferingByIdResponse"/>
 </message>
 <message name="PricingServiceWS_queryOfferingsResponse">
  <part element="tns:queryOfferingsResponse" name="queryOfferingsResponse"/>
 </message>
 <portType name="PricingServiceWS">
  <operation name="findOfferingById" parameterOrder="findOfferingById">
   <input message="tns:PricingServiceWS_findOfferingById"/>
   <output message="tns:PricingServiceWS_findOfferingByIdResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="queryOfferings" parameterOrder="queryOfferings">
   <input message="tns:PricingServiceWS_queryOfferings"/>
   <output message="tns:PricingServiceWS_queryOfferingsResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
 </portType>
 <binding name="PricingServiceWSBinding" type="tns:PricingServiceWS">
  <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
  <operation name="findOfferingById">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="queryOfferings">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
 </binding>
 <service name="PricingServiceWSService">
  <port binding="tns:PricingServiceWSBinding" name="PricingServiceWSPort">
   <soap:address location="http://82.199.96.130:8089"/>
  </port>
 </service>
</definitions>
